=== debian/control ===
--- 
+++ 
@@ -17,15 +17,15 @@
                libassuan-dev,
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicontact-dev (>= 4:23.08.1~),
-               libkf5akonadiserver-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadicontact-dev (>= 4:23.08.4~),
+               libkf5akonadiserver-dev (>= 4:23.08.4~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.1~),
+               libkf5contacteditor-dev (>= 4:23.08.4~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -35,25 +35,25 @@
                libkf5globalaccel-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 23.08.1~),
+               libkf5identitymanagement-dev (>= 23.08.4~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 23.08.1~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
-               libkf5libkleo-dev (>= 4:23.08.1~),
-               libkf5mailcommon-dev (>= 4:23.08.1~),
-               libkf5mailtransport-dev (>= 23.08.1~),
-               libkf5messagecomposer-dev (>= 4:23.08.1~),
-               libkf5messageviewer-dev (>= 4:23.08.1~),
-               libkf5mimetreeparser-dev (>= 4:23.08.1~),
+               libkf5ldap-dev (>= 23.08.4~),
+               libkf5libkdepim-dev (>= 4:23.08.4~),
+               libkf5libkleo-dev (>= 4:23.08.4~),
+               libkf5mailcommon-dev (>= 4:23.08.4~),
+               libkf5mailtransport-dev (>= 23.08.4~),
+               libkf5messagecomposer-dev (>= 4:23.08.4~),
+               libkf5messageviewer-dev (>= 4:23.08.4~),
+               libkf5mimetreeparser-dev (>= 4:23.08.4~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
+               libkf5pimcommon-dev (>= 4:23.08.4~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:23.08.1~),
+               libkf5templateparser-dev (>= 4:23.08.4~),
                libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
