=== debian/changelog ===
kmail-account-wizard (4:23.08.5-0ubuntu3+esm1) noble-security; urgency=medium

  * SECURITY UPDATE: use of insecure protocol when retrieving configurations
    - debian/patches/CVE-2024-50624.patch: Use HTTPS when retrieving
    configurations.
    - CVE-2024-50624

 -- Edwin Jiang <edwin.jiang@canonical.com>  Mon, 25 Aug 2025 19:50:01 +0000

kmail-account-wizard (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:04:39 +1100

kmail-account-wizard (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:07:40 +0000

kmail-account-wizard (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:05:36 -0700
