## kmail-account-wizard 24.08.2

=== debian/changelog ===
kmail-account-wizard (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 18:09:24 -0500

kmail-account-wizard (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:03:32 +0200

kmail-account-wizard (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Sep 2024 23:40:34 +0200

kmail-account-wizard (4:22.12.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 18:34:13 +0200

kmail-account-wizard (4:22.12.3-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Switch libgpgmepp-dev B-D to libqgpgme-dev (Closes: #1078482).
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Aug 2024 17:55:00 +0200
