## kmail-account-wizard 24.12.0

=== debian/changelog ===
kmail-account-wizard (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:34 +0100

kmail-account-wizard (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Add qt6-declarative-private-dev as a B-D due to #1087385.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:38:06 +0100
