=== debian/control ===
--- 
+++ 
@@ -11,22 +11,22 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
-               libkmailtransport-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
+               libkmailtransport-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
                qtkeychain-qt6-dev (>= 0.14.2~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/kmail-account-wizard
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmail-account-wizard
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmail-account-wizard.git
