## kmail-account-wizard 25.07.90

=== debian/changelog ===
kmail-account-wizard (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:50:42 +0100
